Bug 976384 - batik-rasterizer fails during conversion svg to tiff, but exitcode is still zero
batik-rasterizer fails during conversion svg to tiff, but exitcode is still zero
Status: CLOSED DUPLICATE of bug 1286220
Product: Fedora
Classification: Fedora
Component: batik (Show other bugs)
22
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Mikolaj Izdebski
Michael Petlan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 09:16 EDT by Michael Petlan
Modified: 2015-12-03 09:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 09:46:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (1.11 KB, application/x-tar)
2013-06-20 09:16 EDT, Michael Petlan
no flags Details

  None (edit)
Description Michael Petlan 2013-06-20 09:16:29 EDT
Created attachment 763467 [details]
Reproducer

Description of problem:

When running batik's rasterizer on some svg converting it into tiff, conversion fails. The exitcode of rasterizer is still 0, although the conversion has failed and the output file has size 0.


Version-Release number of selected component (if applicable):

== batik ==
batik-1.8-0.5.svn1230816.fc17.noarch
batik-rasterizer-1.8-0.5.svn1230816.fc17.noarch

== OpenJDK ==
java-1.7.0-openjdk-javadoc-1.7.0.19-2.3.9.1.fc17.noarch
java-1.7.0-openjdk-devel-1.7.0.9-2.3.8.0.fc17.x86_64
java-1.7.0-openjdk-1.7.0.9-2.3.8.0.fc17.x86_64


How reproducible:

1. Unpack the attached reproducer somewhere.
2. Run ./reproducer.sh script.
3. Check the stderr and exitcode of the script.

Actual results:

The rasterization process fails, output file is created, but it has size = 0, and the exitcode of the rasterizer is also 0.

The reproducer script's actual resqults:

========================================
About to transcode 1 SVG file(s)

Converting dummy.svg to dummy.tif ... org.apache.batik.transcoder.TranscoderException: null
Enclosed Exception:
Could not write TIFF file because no WriteAdapter is availble
	at org.apache.batik.transcoder.image.ImageTranscoder.transcode(ImageTranscoder.java:132)
	at org.apache.batik.transcoder.XMLAbstractTranscoder.transcode(XMLAbstractTranscoder.java:142)
	at org.apache.batik.transcoder.SVGAbstractTranscoder.transcode(SVGAbstractTranscoder.java:156)
	at org.apache.batik.apps.rasterizer.SVGConverter.transcode(SVGConverter.java:1001)
	at org.apache.batik.apps.rasterizer.SVGConverter.execute(SVGConverter.java:717)
	at org.apache.batik.apps.rasterizer.Main.execute(Main.java:938)
	at org.apache.batik.apps.rasterizer.Main.main(Main.java:992)
... error (SVGConverter.error.while.rasterizing.file)
FAIL: Although the exitcode is 0, the output is 0 sized.
BUG REPRODUCED.
========================================


Expected results:

The best result would be if the conversion passed well. But if it fails, the exitcode of the rasterizer should be non-zero.

Additional info:
Comment 1 Fedora End Of Life 2013-07-04 02:39:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michael Petlan 2013-07-04 11:12:33 EDT
I have reproduced this bug without any problems also on Fedora 19.
This bug does not depend on proper fedora version, so it should be fixed anyway.

Actual package environment:

batik-rasterizer-1.8-0.7.svn1230816.fc19.noarch
batik-1.8-0.7.svn1230816.fc19.noarch

java-1.7.0-openjdk-devel-1.7.0.19-2.3.9.9.fc19.x86_64
java-1.7.0-openjdk-1.7.0.19-2.3.9.9.fc19.x86_64
tzdata-java-2013c-1.fc19.noarch
javapackages-tools-0.14.0-1.fc19.noarch

-------------------------------------------------

Note: For reproducing this bug on F19 I have installed batik and batik-rasterizer package and simply run the attached reproducer...

--> So the bug persists on Fedora 19 with actual version of batik taken from actual repository. <--
Comment 3 Fedora End Of Life 2015-01-09 17:09:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-05-29 05:08:01 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-11-04 10:32:24 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Michael Simacek 2015-12-03 09:46:48 EST
The TIFF rendering should be fixed as part of 1286220.

*** This bug has been marked as a duplicate of bug 1286220 ***

Note You need to log in before you can comment on or make changes to this bug.